import ResonatorScene from './scenes/webaudio-scene';
import ResonatorAudioContext from './audio-context';
import BaseEffect from './effects/base-effect';
export default class AudioGraph {
    private master;
    private effectsBus;
    private worldBus;
    private secondaryBus;
    private effects;
    private scene;
    private context;
    private swapChannels;
    private channelSplitter;
    private channelMerger;
    constructor(scene: ResonatorScene, context: ResonatorAudioContext, swapChannels?: boolean);
    init(): void;
    connectToMaster(input: any): void;
    connectToUI(input: AudioNode): void;
    applyEffect(effect: BaseEffect): void;
    removeEffect(effect: BaseEffect): void;
}
